Subject: Re: bug#45652: so-long mode not triggered despite big file with very long lines

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jan 2021 17:50:15 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 12 Jan 2021 16:37:20 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > You are going to use find_newline_no_quit or somesuch, I hope?
> 
> I'm not sure whether that would make sense -- this is something that
> typically would be called right after visiting a file...  and
> find_newline doesn't count line sizes.

It returns the position, though.  And it's lightning-fast, because it
uses memchr.

Maybe I don't understand what function did you intend to write.  Can
you tell more about that?

Thanks.